#include <bits/stdc++.h>
using namespace std;

int main() {
    int n, l, koji = -1;
    cin >> n >> l;
    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    for (int i = 0; i < n; i++) {
        if (a[i] <= l) {
            koji = i + 1;
            break;
        }
    }
    cout << koji;
    return 0;
}